- job:
    name: linaro-art-vixlpresubmit-macos
    project-type: freestyle
    defaults: global
    description: >
      Runs the
      <a href="https://github.com/Linaro/vixl/blob/master/tools/test.py">Vixl Presubmit Tests</a>
      using the
      <a href="https://github.com/Linaro/vixl/">Linaro VIXL tree</a> on mac os.
    properties:
        - authorization:
            anonymous:
                - job-discover
                - job-read
            linaro-android-builders:
                - job-read
                - job-extended-read
                - job-workspace
            linaro-vixl:
                - job-build
                - job-read
                - job-extended-read
                - job-workspace
            linaro-art:
                - job-build
                - job-read
                - job-extended-read
                - job-workspace
        - build-discarder:
            days-to-keep: 60
            num-to-keep: 60
        - github:
            url: https://github.com/Linaro/vixl
    disabled: true
    node: macos
    display-name: 'DELETE ME'
    concurrent: true
    scm:
        - git:
            url: https://github.com/Linaro/vixl.git
            refspec: +refs/pull/*:refs/remotes/origin/pr/*
            name: origin
            branches:
                - ${sha1}
            basedir: vixl
            skip-tag: true
            shallow-clone: true
            wipe-workspace: true
    triggers:
        - github-pull-request:
            github-hooks: true
            permit-all: true
            white-list-target-branches:
                - 'main'
                - 'master'
                - 'mte'
            auth-id: 'GITHUB_TOKEN'
            status-context: 'VIXL Presubmit MacOS Test'
            success-status: 'presubmit macos test succeeded'
            failure-status: 'presubmit macos test failed'
            error-status: 'presubmit macos test error'
    wrappers:
        - timestamps
        - timeout:
            timeout: 300
    builders:
        - shell: !include-raw: linaro-art/vixl/presubmit-macos.sh
    publishers:
        - groovy-postbuild:
            script:
              !include-raw:
                - linaro-art/global.groovy
